<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/messages/transactionInstanceDisplay.xhtml">
            <ui:param name="managedBean" value="#{hpdMessageBrowser}"/>
            <ui:define name="requestContent">
                <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                    <ui:param name="panel_id" value="reqxml"/>
                    <ui:param name="openByDefault" value="true"/>
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.hpd.MessageContentXML']})</ui:define>
                    <gdk:insert
                            content="#{hpdMessageBrowser.displayFormattedXML(hpdMessageBrowser.selectedInstance.request)}"
                            highlight="xml"/>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                    <ui:param name="panel_id" value="reqhtml"/>
                    <ui:param name="openByDefault" value="false"/>
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.hpd.MessageContentHTML']})</ui:define>
                    <h:outputText
                            value="#{hpdMessageBrowser.displayFormattedHTML(hpdMessageBrowser.selectedInstance.request)}"
                            escape="false"/>
                </ui:decorate>
            </ui:define>
            <ui:define name="responseContent">
                <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                    <ui:param name="panel_id" value="respxml"/>
                    <ui:param name="openByDefault" value="true"/>
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.hpd.MessageContentXML']})</ui:define>
                    <gdk:insert
                            content="#{hpdMessageBrowser.displayFormattedXML(hpdMessageBrowser.selectedInstance.response)}"
                            highlight="xml"/>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                    <ui:param name="panel_id" value="resphtml"/>
                    <ui:param name="openByDefault" value="false"/>
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.hpd.MessageContentHTML']})</ui:define>
                    <h:outputText
                            value="#{hpdMessageBrowser.displayFormattedHTML(hpdMessageBrowser.selectedInstance.response)}"
                            escape="false"/>
                </ui:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
